Name: lucidor
Version: 0.9.15
Release: 1
Summary: E-book reader application
Summary(sv-SE): Ebokläsarapplikation
Summary(zh-TW): 電子書閱讀程式
Group: Office
# openSUSE: Productivity/Office/Other Productivity/Text/Utilities
# Mandriva: Office Publishing Text tools
# RPM: Applications/Text Applications/Publishing
License: GPLv3+
URL: http://lucidor.org/lucidor/
Source0: http://lucidor.org/lucidor/%{name}_%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
#Requires: xulrunner >= 1.9

#%if 0%{?fedora}%{?rhel_version}%{?centos_version}
#  Requires: xulrunner >= 1.9
#%endif
#%if 0%{?suse_version}%{?sles_version}
#  Requires: mozilla-xulrunner190
#  Requires: mozilla-xulrunner191
#%endif
#%if 0%{?mandriva_version}%{?pclos_version}
#  Requires: firefox >= 26.0
#  Requires: xulrunner >= 1.9
#%endif

%description
Lucidor is an e-book reader application. It supports e-books
in the EPUB file format, and catalogs in the OPDS format.

%description -l se.UTF-8
Lucidor är en ebokläsarapplikation. Den hanterar eböcker
i EPUB-format och kataloger i OPDS-format.

%description -l zh-TW.UTF-8
Lucidor 是電子書閱讀程式，支援 EPUB 電子書檔案格式及 OPDS 格式之書目冊（catalog）格式。

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
make install install-man install-mime DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications &> /dev/null || :
#/usr/sbin/update-icon-caches %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/sbin/update-mime &> /dev/null || :

%postun
update-desktop-database %{_datadir}/applications &> /dev/null || :
#/usr/sbin/update-icon-caches %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
/usr/sbin/update-mime &> /dev/null || :

%files
%defattr(-,root,root,-)
%{_bindir}/lucidor
%{_datadir}/lucidor/
%doc credits.txt gpl-3.0.txt readme.html style.css
%doc %{_mandir}/man1/lucidor.1.gz
%{_datadir}/applications/lucidor.desktop
%{_datadir}/mime/packages/lucidor.xml
#%{_libdir}/mime/packages/lucidor
/usr/lib/mime/packages/lucidor
%{_datadir}/icons/hicolor/scalable/apps/lucidor.svg
%{_datadir}/pixmaps/lucidor.xpm

%changelog

* Sun Feb 10 2019 Ordbrand <ordbrand@lucidor.org> 0.9.15-1
- New version.

* Mon Sep 10 2018 Ordbrand <ordbrand@lucidor.org> 0.9.14-1
- New version.

* Tue Feb 27 2018 Ordbrand <ordbrand@lucidor.org> 0.9.13-1
- New version.

* Tue May 31 2016 Ordbrand <ordbrand@lucidor.org> 0.9.12-1
- New version.

* Mon Apr 25 2016 Ordbrand <ordbrand@lucidor.org> 0.9.11-1
- New version.

* Sun Mar 29 2015 Ordbrand <ordbrand@lucidor.org> 0.9.10-1
- New version.

* Fri Mar 27 2015 Ordbrand <ordbrand@lucidor.org> 0.9.9-1
- New version.

* Wed Apr 10 2013 Ordbrand <ordbrand@lucidor.org> 0.9.8-1
- New version.

* Sun Dec 4 2011 Ordbrand <ordbrand@lucidor.org> 0.9.7-1
- New version.

* Mon Oct 3 2011 Ordbrand <ordbrand@lucidor.org> 0.9.6-1
- New version.

* Sun Sep 11 2011 Ordbrand <ordbrand@lucidor.org> 0.9.5-1
- New version.

* Sun Jun 26 2011 Ordbrand <ordbrand@lucidor.org> 0.9.4-1
- New version.

* Thu Sep 30 2010 Ordbrand <ordbrand@lucidor.org> 0.9.3-1
- New version.

* Thu Sep 30 2010 Ordbrand <ordbrand@lucidor.org> 0.9.2-1
- New version.

* Fri Apr 23 2010 Ordbrand <ordbrand@lucidor.org> 0.9.1-1
- New version.

* Tue Jan 26 2010 Ordbrand <ordbrand@lucidor.org> 0.9-1
- New version.

* Fri Oct 2 2009 Ordbrand <ordbrand@lucidor.org> 0.8.1-1
- Bugfix.

* Thu Sep 24 2009 Ordbrand <ordbrand@lucidor.org> 0.8-1
- Initial RPM release.
