#!/bin/sh

DIR=lucidor

if which palemoon; then
    palemoon -app $DIR/application.ini "$@";
elif which xulrunner; then
    xulrunner $DIR/application.ini "$@";
elif which firefox; then
    firefox -app $DIR/application.ini "$@";
elif which iceweasel; then
    iceweasel -app $DIR/application.ini "$@";
elif which icedog; then
    icedog -app $DIR/application.ini "$@";
elif which abrowser; then
    abrowser -app $DIR/application.ini "$@";
else
    echo "Could not find XULRunner runtime engine."
    exit 1;
fi
